/* CSS BEM Grammar: block_element--modifier */

/* PILLCASE VARIABLES */
:root {
  --pillcaseWidth: 800px;
  --pillcaseHeight: 533px;
  --headerHeght: 45px;
  --contentHeight: calc(100% - (var(--headerHeght)));
}

.pillcase {
  width: var(--pillcaseWidth);
  height: var(--pillcaseHeight);
  background-color: var(--white);
  -webkit-box-shadow: 0px 6px 18px -4px rgba(50,50,50,0.2);
  -moz-box-shadow: 0px 6px 18px -4px rgba(50,50,50,0.2);
  box-shadow: 0px 6px 18px -4px rgba(50,50,50,0.2);
  border-radius: 8px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  overflow: hidden;
  z-index: 999;
}

.pillcase_content-wrapper {
  width: 100%;
  height: 100%;
  position: relative;
}

.pillcase .header {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--white);
  user-select: none;
  z-index: 1;
}

.pillcase .header ul {
  display: flex;
  justify-content: space-between;
  padding: var(--gutter);
  border-bottom: 1px solid var(--titanium);
  cursor: grab;
  position: relative;
}

.drag-item {
  width: 100px;
  padding: 4px 16px;
  background-color: var(--extralight);
  color: var(--titanium);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  border-radius: 4px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
}

.pillcase .header li {
  font-family: var(--mono);
  line-height: 100%;
  text-transform: uppercase;
  text-decoration: none;
}

.pillcase .content {
  width: 100%;
  padding: 0 var(--gutter);
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: var(--white);
  overflow-y: scroll;
  scrollbar-width: none;
  -ms-overflow-style: none;  /* IE and Edge */
}



.pillcase .content::-webkit-scrollbar {
  display: none; /* For Chrome, Safari, and Edge: hide scrollbar */
}

.pillcase .content--wide {
  padding: 0;
  overflow-y: hidden;
}

.pillcase .content--404 {
  display: flex;
  justify-content: center;
  align-items: center;
}

.content--404 * {
  font-family: var(--sansBold);
  font-size: 48px;
  line-height: 120%;
  color: var(--titanium);
  text-align: center;
  margin-bottom: 5%;
}


/* PROJECT ITEM */
.project-item {
  width: 100%;
  padding: var(--sp2) 0;
  color: var(--black);
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: var(--sp3);
  border-bottom: 1px solid var(--titanium);
}

.project-item .label-frame {
  width: 100%;
  height: 38px;
  display: flex;
  align-items: center;
  overflow: hidden;
  position: relative;
}

.project-item .label {
  font-family: var(--sansBold);
  font-size: 48px;
  line-height: 100%;
  text-transform: uppercase;
  position: absolute;
  top: -8px;
  left: 0;
}


/* PILLCASE COLLAPSIBLE */
.pillcase .collapsible {
  padding: 0 var(--gutter);
}

.pillcase .collapsible.show {
  max-height: 500px;
}

.pillcase .collapsible>.info-table {
  width: 100%;
  padding: var(--gutter) 0;
}

.pillcase .collapsible>.info-table>tbody {
  display: flex;
  flex-flow: column nowrap;
  gap: var(--sp2);
}

.pillcase .collapsible>.info-table tr {
  width: 100%;
  border: none;
  padding: 0;
}

.pillcase .collapsible>.info-table .label {
  width: 180px;
  font-family: var(--mono);
  text-transform: uppercase;
}

.pillcase .collapsible>.info-table .desc {
  width: calc((100%) - 180px);
}

.pillcase .collapsible>.info-table tr:nth-child(1) .desc {
  text-transform: uppercase;
}

.cat div {
  position: relative;
  padding-left: 16px;
}

.cat div::before {
  content: "";
  width: 8px;
  height: 8px;
  position: absolute;
  top: 50%;
  left: 0;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
}

.cat.cat-brand>div::before {
  background-color: var(--brand);
}

.cat.cat-editorial>div::before  {
  background-color: var(--editorial);
}

.cat.cat-web>div::before  {
  background-color: var(--web);
}

.pillcase_header .collapsible>.info-table tr:nth-child(1)>td:nth-child(2) {
  text-transform: uppercase;
}


/* PROJECT PAGE CONTROLS */
.pillcase .pillcase_container--wide {
  padding: 0;
  overflow-y: hidden;
}

.gallery-controls {
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  display: flex;
  justify-content: space-between;
  padding: var(--gutterWide);
}

.gallery-controls button:nth-child(1) img{
  transform: rotate(-225deg);
  -webkit-transform: rotate(-225deg);
  -moz-transform: rotate(-225deg);
  -ms-transform: rotate(-225deg);
  -o-transform: rotate(-225deg);
}

.gallery-controls button:nth-child(2) img{
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
}

.pillcase_content-wrapper .gallery-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
}

.pillcase_content-wrapper .gallery-image::selection {
  background-color: rgba(255, 255, 255, 0.5)
}
